## aqemu 0.8.1

=== CMakeLists.txt ===
# AQEMU CMake Project

# Authors:
# Andrey Rijov (AQEMU developer)
# Timothy Redaelli (Fix for build in a different folder)

PROJECT( AQEMU )
CMAKE_MINIMUM_REQUIRED( VERSION 2.4.0 )

# Available options
OPTION( DEBUG "Build with debug information" )
OPTION( WITHOUT_EMBEDDED_DISPLAY "Build without support Embedded VNC Display" )
OPTION( UPDATE_TRANSLATIONS "Update source translation files (WARNING: make clean will delete the source .ts files!)" )
OPTION( INSTALL_MAN "Install MAN page file" "ON" )

# Debug mode
IF( DEBUG )
	# Verbose compiler output
	SET( CMAKE_VERBOSE_MAKEFILE ON )
	
	# GCC
	ADD_DEFINITIONS( -Wall -g )
ENDIF( DEBUG )

# For find VNC libs
SET( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# Files
SET( aqemu_headers
	About_Window.h
	Add_New_Device_Window.h
	Add_Port_Window.h
	Add_USB_Port_Window.h
	Advanced_Settings_Window.h
	Boot_Device_Window.h
	Convert_HDD_Image_Window.h
	Copy_VM_Window.h
	Create_HDD_Image_Window.h
	Create_Template_Window.h
	Delete_VM_Files_Window.h
	Device_Manager_Widget.h
	Edit_Emulator_Version_Window.h
	Emulator_Control_Window.h
	Error_Log_Window.h
	First_Start_Wizard.h
	HDD_Image_Info.h
	Main_Window.h
	Monitor_Window.h
	Network_Widget.h
	Old_Network_Widget.h
	Ports_Tab_Widget.h
	Properties_Window.h
	Emulator_Options_Window.h
	Select_Icon_Window.h
	Settings_Window.h
	SMP_Settings_Window.h
	Snapshot_Properties_Window.h
	Snapshots_Window.h
	SPICE_Settings_Widget.h
	System_Info.h
	Utils.h
	VM.h
	VM_Devices.h
	VM_Wizard_Window.h
	VNC_Password_Window.h
)

SET( aqemu_sources
	About_Window.cpp
	Add_New_Device_Window.cpp
	Add_Port_Window.cpp
	Add_USB_Port_Window.cpp
	Advanced_Settings_Window.cpp
	Boot_Device_Window.cpp
	Convert_HDD_Image_Window.cpp
	Copy_VM_Window.cpp
	Create_HDD_Image_Window.cpp
	Create_Template_Window.cpp
	Delete_VM_Files_Window.cpp
	Device_Manager_Widget.cpp
	Edit_Emulator_Version_Window.cpp
	Emulator_Control_Window.cpp
	Error_Log_Window.cpp
	First_Start_Wizard.cpp
	HDD_Image_Info.cpp
	main.cpp
	Main_Window.cpp
	Monitor_Window.cpp
	Network_Widget.cpp
	Old_Network_Widget.cpp
	Ports_Tab_Widget.cpp
	Properties_Window.cpp
	Emulator_Options_Window.cpp
	Select_Icon_Window.cpp
	Settings_Window.cpp
	SMP_Settings_Window.cpp
	Snapshot_Properties_Window.cpp
	Snapshots_Window.cpp
	SPICE_Settings_Widget.cpp
	System_Info.cpp
	Utils.cpp
	VM.cpp
	VM_Devices.cpp
	VM_Wizard_Window.cpp
	VNC_Password_Window.cpp
)

SET( aqemu_ui
	About_Window.ui
	Add_New_Device_Window.ui
	Add_Port_Window.ui
	Add_USB_Port_Window.ui
	Advanced_Settings_Window.ui
	Boot_Device_Window.ui
	Convert_HDD_Image_Window.ui
	Copy_VM_Window.ui
	Create_HDD_Image_Window.ui
	Create_Template_Window.ui
	Delete_VM_Files_Window.ui
	Device_Manager_Widget.ui
	Edit_Emulator_Version_Window.ui
	Emulator_Control_Window.ui
	Error_Log_Window.ui
	First_Start_Wizard.ui
	Main_Window.ui
	Monitor_Window.ui
	Network_Widget.ui
	Old_Network_Widget.ui
	Ports_Tab_Widget.ui
	Properties_Window.ui
	Emulator_Options_Window.ui
	Select_Icon_Window.ui
	Settings_Window.ui
	SMP_Settings_Window.ui
	Snapshot_Properties_Window.ui
	Snapshots_Window.ui
	SPICE_Settings_Widget.ui
	VM_Wizard_Window.ui
	VNC_Password_Window.ui
)

SET( aqemu_resouces shared_images.qrc )
SET( translations German.ts Russian.ts )
SET( files_to_translate ${files_to_translate} ${aqemu_headers} ${aqemu_sources} ${aqemu_ui} )


# Check Qt
SET( QT_MIN_VERSION "4.4.2" )
FIND_PACKAGE( Qt4 REQUIRED )
INCLUDE( ${QT_USE_FILE} )
SET( QT_USE_QTXML TRUE )
SET( QT_USE_QTNETWORK TRUE )
SET( QT_USE_QTTEST TRUE )


# Embedded VNC display
IF( NOT WITHOUT_EMBEDDED_DISPLAY )
	FIND_PACKAGE( LibVNCServer REQUIRED )
	
	SET( aqemu_headers ${aqemu_headers} Embedded_Display/Machine_View.h Embedded_Display/remoteview.h
										Embedded_Display/vncclientthread.h Embedded_Display/vncview.h )
	
	SET( aqemu_sources ${aqemu_sources} Embedded_Display/Machine_View.cpp Embedded_Display/remoteview.cpp
										Embedded_Display/vncclientthread.cpp Embedded_Display/vncview.cpp )
	
	ADD_DEFINITIONS( -DVNC_DISPLAY -DQTONLY )
	ADD_LIBRARY( libvncclient SHARED ${aqemu_headers} ${aqemu_sources} )
	
	INCLUDE_DIRECTORIES( ${VNCCLIENT_INCLUDE_DIRS} ${LIBVNCCLIENT_INCLUDE_DIR} )
ENDIF( NOT WITHOUT_EMBEDDED_DISPLAY )

# Add Qt definitions
ADD_DEFINITIONS( ${QT_DEFINITIONS} )

# MOC and other Qt stuff
QT4_WRAP_UI( ui_headers ${aqemu_ui} )
QT4_WRAP_CPP( moc_srcs ${aqemu_headers} )
QT4_ADD_RESOURCES( moc_srcs ${aqemu_resouces} )


# For translation
IF( UPDATE_TRANSLATIONS )
	QT4_CREATE_TRANSLATION( qm_files ${CMAKE_CURRENT_SOURCE_DIR} ${files_to_translate} ${translations} )
ELSE( UPDATE_TRANSLATIONS )
	QT4_ADD_TRANSLATION( qm_files ${translations} )
ENDIF( UPDATE_TRANSLATIONS )

ADD_CUSTOM_TARGET( translations_target DEPENDS ${qm_files} )


# Building
INCLUDE_DIRECTORIES(
	${QT_INCLUDES}
	${CMAKE_CURRENT_BINARY_DIR}
	${CMAKE_CURRENT_SOURCE_DIR}
	${QT_INCLUDE_DIR}
	${CMAKE_BINARY_DIR}
	${CMAKE_SOURCE_DIR}
	${QT_QTNETWORK_INCLUDE_DIR}
	${QT_QTTEST_INCLUDE_DIR}
)

IF( COMMAND CMAKE_POLICY )
	CMAKE_POLICY( SET CMP0003 NEW )
ENDIF( COMMAND CMAKE_POLICY )

ADD_EXECUTABLE( aqemu
	${aqemu_sources}
	${ui_headers}
	${moc_srcs}
	${qm_files}
)

TARGET_LINK_LIBRARIES( aqemu
	${QT_LIBRARIES}
	${QT_QTCORE_LIBRARY}
	${QT_QTGUI_LIBRARY}
	${QT_QTNETWORK_LIBRARIES}
	${QT_QTTEST_LIBRARIES}
	${QT_QTXML_LIBRARY}
)

# Embedded VNC display
IF( NOT WITHOUT_EMBEDDED_DISPLAY )
	TARGET_LINK_LIBRARIES( aqemu ${LIBVNCCLIENT_LIBRARIES} )
ENDIF( NOT WITHOUT_EMBEDDED_DISPLAY )

# Install files
INSTALL( TARGETS aqemu DESTINATION bin )

INSTALL( FILES ${qm_files} DESTINATION share/aqemu )

FILE( GLOB os_icons "${CMAKE_CURRENT_SOURCE_DIR}/os_icons/*.*" )
INSTALL( FILES ${os_icons} DESTINATION share/aqemu/os_icons )

FILE( GLOB os_templates "${CMAKE_CURRENT_SOURCE_DIR}/os_templates/*.*")
INSTALL( FILES ${os_templates} DESTINATION share/aqemu/os_templates )

FILE( GLOB links "${CMAKE_CURRENT_SOURCE_DIR}/aqemu_links.html" )
INSTALL( FILES ${links} DESTINATION share/aqemu )

FILE( GLOB pixmaps "${CMAKE_CURRENT_SOURCE_DIR}/menu_data/*.png" )
INSTALL( FILES ${pixmaps} DESTINATION share/pixmaps )

FILE( GLOB app_menu "${CMAKE_CURRENT_SOURCE_DIR}/menu_data/aqemu.desktop" )
INSTALL( FILES ${app_menu} DESTINATION share/applications )

# Create docs .bz2 files
MACRO( create_docs _sources )
	FOREACH( curFile ${ARGN} )
		GET_FILENAME_COMPONENT( _in ${curFile} ABSOLUTE )
		GET_FILENAME_COMPONENT( _basename ${curFile} NAME_WE )
		
		SET( _out ${CMAKE_CURRENT_SOURCE_DIR}/${_basename}.bz2 )
		
		ADD_CUSTOM_COMMAND( OUTPUT ${_out} COMMAND bzip2 ARGS -zkf9 ${_in} DEPENDS ${_in} )
		
		SET( ${_sources} ${${_sources}} ${_out} )
	ENDFOREACH( curFile )
ENDMACRO( create_docs )

CREATE_DOCS( docs_bz2 AUTHORS CHANGELOG README TODO )
ADD_CUSTOM_TARGET( docs ALL DEPENDS ${docs_bz2} )
INSTALL( FILES ${docs_bz2} DESTINATION share/doc/aqemu )

# Build RCC files (GUI icons)
MACRO( pack_icons _sources )
	FOREACH( curFile ${ARGN} )
		GET_FILENAME_COMPONENT( _in ${curFile} ABSOLUTE )
		GET_FILENAME_COMPONENT( _basename ${curFile} NAME_WE )
		
		SET( _out ${CMAKE_CURRENT_SOURCE_DIR}/${_basename}.rcc )
		
		ADD_CUSTOM_COMMAND( OUTPUT ${_out} COMMAND rcc ARGS ${_in} -binary -o ${_out} DEPENDS ${_in} )
		
		SET( ${_sources} ${${_sources}} ${_out} )
	ENDFOREACH( curFile )
ENDMACRO( pack_icons )

PACK_ICONS( gui_icons crystalsvg_icons.qrc oxygen_icons.qrc )
ADD_CUSTOM_TARGET( icons ALL DEPENDS ${gui_icons} )
INSTALL( FILES ${gui_icons} DESTINATION share/aqemu )

# Compress and install MAN page file
IF( NOT MAN_PAGE_COMPRESSOR )
	MESSAGE( STATUS "MAN page will be installed is not packed." )
ELSEIF( MAN_PAGE_COMPRESSOR STREQUAL "gzip" )
	SET( COMPRESSOR_SUFFIX gz )
ELSEIF( MAN_PAGE_COMPRESSOR STREQUAL "bzip2" )
	SET( COMPRESSOR_SUFFIX bz2 )
ELSEIF( MAN_PAGE_COMPRESSOR STREQUAL "lzma" )
	SET( COMPRESSOR_SUFFIX lzma )
ELSE( NOT MAN_PAGE_COMPRESSOR )
	MESSAGE( STATUS "${MAN_PAGE_COMPRESSOR} not supported!" )
	MESSAGE( FATAL_ERROR "Correct values: gzip, bzip2, lzma" )
ENDIF( NOT MAN_PAGE_COMPRESSOR )

# Compress MAN file?
IF( INSTALL_MAN )
	IF( COMPRESSOR_SUFFIX )
		# Find gzip, bzip or lzma
		FIND_PROGRAM( COMPRESSOR_BIN NAMES ${MAN_PAGE_COMPRESSOR} )
		
		IF( ${COMPRESSOR_BIN} MATCHES COMPRESSOR_BIN-NOTFOUND )
			MESSAGE( STATUS "${MAN_PAGE_COMPRESSOR} - NOT FOUND!" )
			MESSAGE( FATAL_ERROR "Please install ${MAN_PAGE_COMPRESSOR} package!" )
		ENDIF( ${COMPRESSOR_BIN} MATCHES COMPRESSOR_BIN-NOTFOUND )
		
		# Compress
		EXECUTE_PROCESS( OUTPUT_FILE aqemu.1.${COMPRESSOR_SUFFIX}
						COMMAND "${COMPRESSOR_BIN}" -9
						INPUT_FILE aqemu.1
						WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} )
		
		# Install MAN
		INSTALL( FILES ${CMAKE_SOURCE_DIR}/aqemu.1.${COMPRESSOR_SUFFIX} DESTINATION share/man/man1 )
	ELSE( COMPRESSOR_SUFFIX )
		MESSAGE( STATUS "MAN_PAGE_COMPRESSOR flag not set. Available values: gzip, bzip2, lzma" )
		MESSAGE( STATUS "Will be installed not compressed MAN pages" )
		
		INSTALL( FILES ${CMAKE_SOURCE_DIR}/aqemu.1 DESTINATION share/man/man1 )
	ENDIF( COMPRESSOR_SUFFIX )
ENDIF( INSTALL_MAN )

=== debian/changelog ===
aqemu (0.8.1-1) unstable; urgency=low

  * New upstream release:
    - Corrects the mouse pointer bug. (Closes: #607947)
  * debian/clean:
    - Added remaining .rcc files.
  * debian/aqemu.1 and debian/aqemu.manpages:
    - Removed files as a manpage is now distributed by upstream.
  * debian/control:
    - Removed version dependency on libqt4-dev as Debian Lenny already fulfills
      this constraint.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 24 Jan 2011 12:13:37 +0100

aqemu (0.8.0-1) unstable; urgency=low

  * New upstream release.
    - Corrects USB support. (Closes: #597480, LP: #588875)
  * Converted the package to "3.0 (quilt)" source format.
  * debian/control:
    - Bumped Standards-Version to 3.9.1.
    - Removed dependency on dpatch.
    - Added dependency on cmake as the build now depends on it.
    - Added Vcs-Svn and Vcs-Browser.
  * debian/patches:
    - 10_install_script.dpatch: Removed patch as upstream changed the 
      installation method. Patched file does not exist anymore.
  * debian/rules:
    - Updated to use dh7 features.
  * debian/source/format:
    - New file set to "3.0 (quilt)".
  * debian/clean:
    - New file. Lists remaining .bz2 files to cleanup.
  * debian/copyright:
    - Updated the copyright format.
    - Modified copyright mentions for the following files, as they have been
      renamed by upstream: Remote_View.cpp, Remote_View.h, 
      VNC_Client_Thread.cpp, VNC_Client_Thread.h, VNC_View.cpp and VNC_View.h.
    - Updated copyright dates for Andrey Rijov from 2009 to 2010.
    - Updated copyright on files Machine_View.cpp and Machine_View.h.
    - Added copyright mentions for files CheckPointerMember.cmake and
      FindLibVNCServer.cmake.
    - Added copyright on debian/* files.
  * Removed files debian/README.source and aqemu.docs as the dpatch mention 
    is not needed anymore.
  * Removed postinst and postrm files, as the update-menu is automatically
    added by dh_installmenu.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 21 Nov 2010 18:04:11 +0100

aqemu (0.7.3-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Updated the "Architecture" field, listing only the architectures where 
    qemu(1) is available.
  * debian/copyright:
    - Mentioned the additional copyright holders.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 28 Sep 2009 18:19:19 +0200

aqemu (0.7.2-1) unstable; urgency=low

  * Initial release. (Closes: #521191)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Thu, 24 Sep 2009 10:57:24 +0200

=== debian/control ===
Source: aqemu
Section: x11
Priority: optional
Maintainer: Ignace Mouzannar <mouzannar@gmail.com>
Build-Depends: debhelper (>= 7), libvncserver-dev, libqt4-dev, zlib1g-dev, cmake
Standards-Version: 3.9.1
Homepage: http://aqemu.sourceforge.net/
Vcs-Svn: svn://svn.debian.org/svn/collab-maint/ext-maint/aqemu/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/collab-maint/ext-maint/aqemu/trunk/


Package: aqemu
Architecture: amd64 arm armel hppa i386 powerpc sparc ppc64
Depends: qemu, ${shlibs:Depends}, ${misc:Depends}
Description: Qt4 front-end for QEMU and KVM
 aqemu is a Qt4 graphical interface used to manage QEMU and KVM virtual
 machines. It has a user-friendly interface and allows to set up the majority
 of QEMU and KVM options.

## aqemu 0.8.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -140,7 +140,7 @@
 )
 
 SET( aqemu_resouces shared_images.qrc )
-SET( translations German.ts Russian.ts )
+SET( translations German.ts Russian.ts Ukrainian.ts French.ts English.ts )
 SET( files_to_translate ${files_to_translate} ${aqemu_headers} ${aqemu_sources} ${aqemu_ui} )

=== debian/changelog ===
aqemu (0.8.2-2build1) wily; urgency=medium

  * No change rebuild for new libvncclient1

 -- Micah Gersten <micahg@ubuntu.com>  Mon, 01 Jun 2015 22:39:26 -0500

aqemu (0.8.2-2) unstable; urgency=low

  * debian/control:
    - Bumped Standrards-Version to 3.9.3. No changes needed.
    - Added Recommends on qemu-kvm. (Closes: #645226)
  * debian/copyright:
    - Updated to fit new format specifications of DEP5 (rev. 202).
  * debian/patches:
    - 02_qt4.8_ftbs.diff: Fixes FTBS with Qt4.8 (Closes: #672011)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Tue, 08 May 2012 17:57:50 +0400

aqemu (0.8.2-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    - Added armhf support. Thank you Konstantinos Margaritis 
      <markos@genesi-usa.com> for the tests and patch.
      (Closes: 622722)
    - Synced architectures with those the 'qemu' package. Thank you
      Guillem Jover <guillem@debian.org> for the patch. (Closes: #617877)
    - Bumped Standards-Version to 3.9.2.
    - Added the "DM-Upload-Allowed" field.
  * debian/patches:
    - 01_spelling_corrections: corrects upstream spelling errors.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 29 Aug 2011 18:23:42 +0200

=== debian/watch ===
version=3
http://sf.net/aqemu/aqemu-([^-]+)\.tar\.bz2

## aqemu 0.9.2

=== CMakeLists.txt ===
# AQEMU CMake Project

# Authors:
# Andrey Rijov (AQEMU developer)
# Timothy Redaelli (Fix for build in a different folder)
# Tobias Gläßer (Qt5 port)

PROJECT( AQEMU CXX )
CMAKE_MINIMUM_REQUIRED( VERSION 3.1.0 FATAL_ERROR )

# Available options
OPTION( DEBUG "Build with debug information" )
OPTION( WITHOUT_EMBEDDED_DISPLAY "Build without support Embedded VNC Display" )
OPTION( UPDATE_TRANSLATIONS "Update source translation files (WARNING: make clean will delete the source .ts files!)" )
OPTION( INSTALL_MAN "Install MAN page file" "ON" )

# Debug mode
IF( DEBUG )
	# Verbose compiler output
	SET( CMAKE_VERBOSE_MAKEFILE ON )
	
	# GCC
	ADD_DEFINITIONS( -Wall -g )
ENDIF( DEBUG )

# For find VNC libs
SET( CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake/modules )

# Files
SET( aqemu_headers
    src/IP_Edit.h
    src/Dialog_Button_Box.h
	src/docopt/docopt.h
    	src/Settings_Widget.h
    	src/QDom.h
    	src/tinyxml2.h
	src/About_Window.h
	src/Add_New_Device_Window.h
	src/Add_Port_Window.h
	src/Add_USB_Port_Window.h
	src/Advanced_Settings_Window.h
	src/Boot_Device_Window.h
	src/Convert_HDD_Image_Window.h
	src/Copy_VM_Window.h
	src/Create_HDD_Image_Window.h
	src/Create_Template_Window.h
	src/Delete_VM_Files_Window.h
	src/Device_Manager_Widget.h
	src/Edit_Emulator_Version_Window.h
	src/Emulator_Control_Window.h
	src/Error_Log_Window.h
	src/First_Start_Wizard.h
	src/Folder_Sharing_Widget.h
	src/HDD_Image_Info.h
	src/Main_Window.h
	src/Monitor_Window.h
	src/Network_Widget.h
	src/Old_Network_Widget.h
	src/Ports_Tab_Widget.h
	src/Properties_Window.h
	src/Emulator_Options_Window.h
	src/Select_Icon_Window.h
	src/SMP_Settings_Window.h
	src/Snapshot_Properties_Window.h
	src/Snapshots_Window.h
	src/SPICE_Settings_Widget.h
	src/System_Info.h
	src/Utils.h
	src/VM.h
	src/VM_Devices.h
	src/VM_Wizard_Window.h
	src/VNC_Password_Window.h
)

SET( aqemu_sources
    src/IP_Edit.cpp
    src/Dialog_Button_Box.cpp
	src/docopt/docopt.cpp
	src/Settings_Widget.cpp
    	src/QDom.cpp
    	src/tinyxml2.cpp
	src/About_Window.cpp
	src/Add_New_Device_Window.cpp
	src/Add_Port_Window.cpp
	src/Add_USB_Port_Window.cpp
	src/Advanced_Settings_Window.cpp
	src/Boot_Device_Window.cpp
	src/Convert_HDD_Image_Window.cpp
	src/Copy_VM_Window.cpp
	src/Create_HDD_Image_Window.cpp
	src/Create_Template_Window.cpp
	src/Delete_VM_Files_Window.cpp
	src/Device_Manager_Widget.cpp
	src/Edit_Emulator_Version_Window.cpp
	src/Emulator_Control_Window.cpp
	src/Error_Log_Window.cpp
	src/First_Start_Wizard.cpp
	src/Folder_Sharing_Widget.cpp
	src/HDD_Image_Info.cpp
	src/main.cpp
	src/Main_Window.cpp
	src/Monitor_Window.cpp
	src/Network_Widget.cpp
	src/Old_Network_Widget.cpp
	src/Ports_Tab_Widget.cpp
	src/Properties_Window.cpp
	src/Emulator_Options_Window.cpp
	src/Select_Icon_Window.cpp
	src/SMP_Settings_Window.cpp
	src/Snapshot_Properties_Window.cpp
	src/Snapshots_Window.cpp
	src/SPICE_Settings_Widget.cpp
	src/System_Info.cpp
	src/Utils.cpp
	src/VM.cpp
	src/VM_Devices.cpp
	src/VM_Wizard_Window.cpp
	src/VNC_Password_Window.cpp
)

SET( aqemu_ui
	src/About_Window.ui
	src/Add_New_Device_Window.ui
	src/Add_Port_Window.ui
	src/Add_USB_Port_Window.ui
	src/Advanced_Settings_Window.ui
	src/Boot_Device_Window.ui
	src/Convert_HDD_Image_Window.ui
	src/Copy_VM_Window.ui
	src/Create_HDD_Image_Window.ui
	src/Create_Template_Window.ui
	src/Delete_VM_Files_Window.ui
	src/Device_Manager_Widget.ui
	src/Edit_Emulator_Version_Window.ui
	src/Emulator_Control_Window.ui
	src/Error_Log_Window.ui
	src/First_Start_Wizard.ui
	src/Folder_Sharing_Widget.ui
	src/Main_Window.ui
	src/Monitor_Window.ui
	src/Network_Widget.ui
	src/Old_Network_Widget.ui
	src/Ports_Tab_Widget.ui
	src/Properties_Window.ui
	src/Emulator_Options_Window.ui
	src/Select_Icon_Window.ui
	src/Settings_Window.ui
	src/SMP_Settings_Window.ui
	src/Snapshot_Properties_Window.ui
	src/Snapshots_Window.ui
	src/SPICE_Settings_Widget.ui
	src/VM_Wizard_Window.ui
	src/VNC_Password_Window.ui
)

SET( aqemu_qrc 
    resources/shared_images.qrc
    resources/icons.qrc
)

SET( aqemu_man_page
    resources/docs/aqemu.1 )

SET( translations 
     translations/German.ts
     transtations/Russian.ts
     translations/Ukrainian.ts
     translations/French.ts
     translations/English.ts )

SET( files_to_translate ${files_to_translate} ${aqemu_headers} ${aqemu_sources} ${aqemu_ui} )

# Find includes in corresponding build directories
set(CMAKE_INCLUDE_CURRENT_DIR ON)
# Instruct CMake to run moc automatically when needed.
set(CMAKE_AUTOMOC ON)
# Instruct CMake to run uic automatically when needed.
SET(CMAKE_AUTOUIC ON)
# Instruct CMake to run rcc automatically when needed.
SET(CMAKE_AUTORCC ON)

# Check Qt
FIND_PACKAGE( Qt5Core )
FIND_PACKAGE( Qt5Widgets )
FIND_PACKAGE( Qt5Network )
FIND_PACKAGE( Qt5Test )
FIND_PACKAGE( Qt5PrintSupport )

# Embedded VNC display
IF( NOT WITHOUT_EMBEDDED_DISPLAY )
	FIND_PACKAGE( LibVNCServer REQUIRED )
	
	SET( aqemu_headers ${aqemu_headers} src/Embedded_Display/Machine_View.h src/Embedded_Display/remoteview.h
										src/Embedded_Display/vncclientthread.h src/Embedded_Display/vncview.h )
	
	SET( aqemu_sources ${aqemu_sources} src/Embedded_Display/Machine_View.cpp src/Embedded_Display/remoteview.cpp
										src/Embedded_Display/vncclientthread.cpp src/Embedded_Display/vncview.cpp )
	
	ADD_DEFINITIONS( -DVNC_DISPLAY -DQTONLY )
ENDIF( NOT WITHOUT_EMBEDDED_DISPLAY )

# TODO: port from Qt4 to Qt5
# For translation
#IF( UPDATE_TRANSLATIONS )
#	QT5_CREATE_TRANSLATION( qm_files ${CMAKE_CURRENT_SOURCE_DIR} ${files_to_translate} ${translations} )
#ELSE( UPDATE_TRANSLATIONS )
#	QT5_ADD_TRANSLATION( qm_files ${translations} )
#ENDIF( UPDATE_TRANSLATIONS )

ADD_CUSTOM_TARGET( translations_target DEPENDS ${qm_files} )

IF( COMMAND CMAKE_POLICY )
	CMAKE_POLICY( SET CMP0003 NEW )
ENDIF( COMMAND CMAKE_POLICY )

ADD_EXECUTABLE( aqemu
	${aqemu_sources}
	${ui_headers}
	${moc_srcs}
	${qm_files}
    ${aqemu_qrc}
)

target_include_directories(aqemu PUBLIC src/ )

# Require C++-11 standard
SET_PROPERTY(TARGET aqemu PROPERTY CXX_STANDARD 11)
SET_PROPERTY(TARGET aqemu PROPERTY CXX_STANDARD_REQUIRED ON)

TARGET_LINK_LIBRARIES( aqemu
	Qt5::Widgets
    Qt5::Network
    Qt5::Test
    Qt5::PrintSupport
)

# Embedded VNC display
IF( NOT WITHOUT_EMBEDDED_DISPLAY )
	TARGET_LINK_LIBRARIES( aqemu ${LIBVNCCLIENT_LIBRARIES} )
ENDIF( NOT WITHOUT_EMBEDDED_DISPLAY )

# Install files
INSTALL( TARGETS aqemu DESTINATION bin )

INSTALL( FILES ${qm_files} DESTINATION share/aqemu )

FILE( GLOB os_icons "${CMAKE_CURRENT_SOURCE_DIR}/resources/os_icons/*.*" )
INSTALL( FILES ${os_icons} DESTINATION share/aqemu/os_icons )

FILE( GLOB os_templates "${CMAKE_CURRENT_SOURCE_DIR}/resources/os_templates/*.*")
INSTALL( FILES ${os_templates} DESTINATION share/aqemu/os_templates )

FILE( GLOB links "${CMAKE_CURRENT_SOURCE_DIR}/resources/docs/links.html" )
INSTALL( FILES ${links} DESTINATION share/aqemu/docs )

FILE( GLOB pixmaps "${CMAKE_CURRENT_SOURCE_DIR}/menu_data/*.png" )
INSTALL( FILES ${pixmaps} DESTINATION share/pixmaps )

FILE( GLOB app_menu "${CMAKE_CURRENT_SOURCE_DIR}/menu_data/aqemu.desktop" )
INSTALL( FILES ${app_menu} DESTINATION share/applications )

# Create docs .bz2 files
MACRO( create_docs _sources )
	FOREACH( curFile ${ARGN} )
		GET_FILENAME_COMPONENT( _in ${curFile} ABSOLUTE )
		GET_FILENAME_COMPONENT( _basename ${curFile} NAME_WE )
		
		SET( _out ${CMAKE_CURRENT_SOURCE_DIR}/${_basename}.bz2 )
		
		ADD_CUSTOM_COMMAND( OUTPUT ${_out} COMMAND bzip2 ARGS -zkf9 ${_in} DEPENDS ${_in} )
		
		SET( ${_sources} ${${_sources}} ${_out} )
	ENDFOREACH( curFile )
ENDMACRO( create_docs )

CREATE_DOCS( docs_bz2 AUTHORS CHANGELOG README TODO )
ADD_CUSTOM_TARGET( docs ALL DEPENDS ${docs_bz2} )
INSTALL( FILES ${docs_bz2} DESTINATION share/doc/aqemu )

# Build RCC files (GUI icons)
MACRO( pack_icons _sources )
	FOREACH( curFile ${ARGN} )
		GET_FILENAME_COMPONENT( _in ${curFile} ABSOLUTE )
		GET_FILENAME_COMPONENT( _basename ${curFile} NAME_WE )
		
		SET( _out ${CMAKE_CURRENT_SOURCE_DIR}/${_basename}.rcc )
		
		ADD_CUSTOM_COMMAND( OUTPUT ${_out} COMMAND rcc ARGS ${_in} -binary -o ${_out} DEPENDS ${_in} )
		
		SET( ${_sources} ${${_sources}} ${_out} )
	ENDFOREACH( curFile )
ENDMACRO( pack_icons )

PACK_ICONS( gui_icons resources/shared_images.qrc resources/icons.qrc )
ADD_CUSTOM_TARGET( icons ALL DEPENDS ${gui_icons} )
INSTALL( FILES ${gui_icons} DESTINATION share/aqemu )

# Compress and install MAN page file
IF( NOT MAN_PAGE_COMPRESSOR )
	MESSAGE( STATUS "MAN page will be installed is not packed." )
ELSEIF( MAN_PAGE_COMPRESSOR STREQUAL "gzip" )
	SET( COMPRESSOR_SUFFIX gz )
ELSEIF( MAN_PAGE_COMPRESSOR STREQUAL "bzip2" )
	SET( COMPRESSOR_SUFFIX bz2 )
ELSEIF( MAN_PAGE_COMPRESSOR STREQUAL "lzma" )
	SET( COMPRESSOR_SUFFIX lzma )
ELSE( NOT MAN_PAGE_COMPRESSOR )
	MESSAGE( STATUS "${MAN_PAGE_COMPRESSOR} not supported!" )
	MESSAGE( FATAL_ERROR "Correct values: gzip, bzip2, lzma" )
ENDIF( NOT MAN_PAGE_COMPRESSOR )

# Compress MAN file?
IF( INSTALL_MAN )
	IF( COMPRESSOR_SUFFIX )
		# Find gzip, bzip or lzma
		FIND_PROGRAM( COMPRESSOR_BIN NAMES ${MAN_PAGE_COMPRESSOR} )
		
		IF( ${COMPRESSOR_BIN} MATCHES COMPRESSOR_BIN-NOTFOUND )
			MESSAGE( STATUS "${MAN_PAGE_COMPRESSOR} - NOT FOUND!" )
			MESSAGE( FATAL_ERROR "Please install ${MAN_PAGE_COMPRESSOR} package!" )
		ENDIF( ${COMPRESSOR_BIN} MATCHES COMPRESSOR_BIN-NOTFOUND )
		
		# Compress
		EXECUTE_PROCESS( OUTPUT_FILE ${aqemu_man_page}.${COMPRESSOR_SUFFIX}
						COMMAND "${COMPRESSOR_BIN}" -9
						INPUT_FILE ${aqemu_man_page}
						WORKING_DIRECTORY ${CMAKE_SOURCE_DIR} )
		
		# Install MAN
		INSTALL( FILES ${CMAKE_SOURCE_DIR}/${aqemu_man_page}.${COMPRESSOR_SUFFIX} DESTINATION share/man/man1 )
	ELSE( COMPRESSOR_SUFFIX )
		MESSAGE( STATUS "MAN_PAGE_COMPRESSOR flag not set. Available values: gzip, bzip2, lzma" )
		MESSAGE( STATUS "Will be installed not compressed MAN pages" )
		
		INSTALL( FILES ${CMAKE_SOURCE_DIR}/${aqemu_man_page} DESTINATION share/man/man1 )
	ENDIF( COMPRESSOR_SUFFIX )
ENDIF( INSTALL_MAN )

=== debian/changelog ===
aqemu (0.9.2-6) unstable; urgency=medium

  * QA upload.
  * Bump CMake policy version (Closes: #1112749)
  * Bump Standards-Version to 4.7.2

 -- Timo Röhling <roehling@debian.org>  Wed, 24 Sep 2025 22:05:24 +0200

aqemu (0.9.2-5) unstable; urgency=medium

  * QA upload.
  [ Manuel A. Fernandez Montecelo ]
  * debian/control: Set Architecture to any. Closes: #1025033.

 -- Santiago Vila <sanvila@debian.org>  Thu, 21 Nov 2024 01:20:00 +0100

aqemu (0.9.2-4) unstable; urgency=medium

  * QA upload
  * debian/control:
    - Bump Standards-Version
    - Drop hard-coded dependency (Closes: #1068216)

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 02 Apr 2024 21:28:15 +0200

aqemu (0.9.2-3) unstable; urgency=medium

  * QA upload.
  * debian/patches:
    - Fix build with GCC 10 (Closes: #957003).
    - Docs: fix groff warning about empty line.
    - Fix spelling of some words.
    - Merge Debian-specific desktop file into upstream's one and move
      icons to share/icons.
    - Forward all patches to upstream.
  * debian/control:
    - Replace qemu dummy package dependency to qemu system packages
      (Closes: 966261, 874050).
    - Bumped Standards-Version to 4.5.1 and debhelper compat to 13.
    - Put package in Debian QA Group now that it is orphaned.
    - Remove trailing spaces.
    - Add Rules-Requires-Root: no as the build doesn't require root.
    - Update homepage to github instead of sourceforge.
  * debian/copyright:
    - Use secure uri (https) for Format field.
  * debian/changelog:
    - Remove trailing whitespaces.
  * debian/rules:
    - Add hardening option.
    - Remove build dir from aqemu binary.
  * debian/watch:
    - Update to version 4.
  * Add upstream/metadata file.

 -- Alexis Murzeau <amubtdx@gmail.com>  Sat, 05 Dec 2020 22:45:24 +0100

aqemu (0.9.2-2.3) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0002-Remove-VLAN-stuff-QEMU-doesn-t-support-it-anymore.patch
    - Remove "Virtual LAN" references in description texts.

 -- Alexis Murzeau <amubtdx@gmail.com>  Sun, 26 May 2019 01:03:06 +0200

aqemu (0.9.2-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/patches/0002-Remove-VLAN-stuff-QEMU-doesn-t-support-it-anymore.patch
    - Fix "after updating can't open VMs": Remove vlan related options.
    (Closes: #927126)

 -- Alexis Murzeau <amubtdx@gmail.com>  Fri, 17 May 2019 00:55:49 +0200

aqemu (0.9.2-2.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ gregor herrmann ]
  * Fix "build-depends on GCC 6": drop explicit build dependencies on
    gcc-6 and g++-6.
    (Closes: #892392)

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Tue, 10 Apr 2018 23:18:58 +0200

aqemu (0.9.2-2) unstable; urgency=medium

  * debian/control:
    - Update Description from Qt4 to Qt5 (Closes: 832494)

 -- Ignace Mouzannar <mouzannar@gmail.com>  Mon, 25 Jul 2016 22:52:31 -0400

aqemu (0.9.2-1) unstable; urgency=medium

  * New upstream release (Closes: 812048, 607947, 680779).
  * debian/control:
    - Updated dependency from qt4 to qt5.
    - Removed deprecated DM-Upload-Allowed field.
    - Bumped Standards-Version to 3.9.8.
    - Updated debhelper dependency version to follow new compat version.
    - Updated Architectures list to reflect all qemu supported architectures.
      (Closes: 793780, 725920).
    - Removed Vcs-{Svn,Browser} fields.
    - Added explicit dependency on libqt5dbus5.
  * debian/compat:
    - Bumped compat from 7 to 9.
  * debian/copyright:
    - Moved all license text to bottom of the copyright file, as defined in the
      "recurrent license" section of the Debian copyright format v1.0.
    - Updated path to Machine_View.{cpp,h} files.
    - Updated Format version to point to Debian copyright format v1.0.
  * debian/menu:
    - Removed file as recommended here:
      https://lists.debian.org/debian-devel-announce/2015/09/msg00000.html
  * debian/aqemu.desktop:
    - Added Keywords field.
  * debian/patches/01_qemu_parallel_typo.diff:
    - Fix type when LPT parallel option is selected. (Closes: 779022)
      Thank you Andrey Skvortsov <andrej.skvortzov@gmail.com> for the patch!
  * debian/rules:
    - Update to use Qt5 for build.
  * debian/watch:
    - Updated watch file from .bz to .gz.

 -- Ignace Mouzannar <mouzannar@gmail.com>  Sun, 24 Jul 2016 22:44:42 -0400

=== debian/control ===
Source: aqemu
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               libvncserver-dev,
               qtbase5-dev,
               qtbase5-dev-tools,
               zlib1g-dev,
               cmake
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://github.com/tobimensch/aqemu
Vcs-Git: https://salsa.debian.org/debian/aqemu.git
Vcs-Browser: https://salsa.debian.org/debian/aqemu

Package: aqemu
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         qemu-kvm | qemu-system-x86 | qemu-system-arm | qemu-system-mips | qemu-system-ppc | qemu-system-sparc | qemu-system-misc
Description: Qt5 front-end for QEMU and KVM
 aqemu is a Qt5 graphical interface used to manage QEMU and KVM virtual
 machines. It has a user-friendly interface and allows one to set up the
 majority of QEMU and KVM options.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DEB_BUILD_MAINT_OPTIONS = hardening=+all reproducible=+fixfilepath
export QT_SELECT := qt5

%:
	dh $@

=== debian/watch ===
version=4
http://sf.net/aqemu/ aqemu-([^-]+)\.tar\.gz debian uupdate
